<span *ngIf="searchSubmit">
  <img src="assets/img/loader.gif"
    style=" height: 130px; position: fixed; margin: auto; z-index: 999999; left: 45%; top: 45%;" alt="loader"/>
</span>
<div class="row  border-bottom white-bg dashboard-header">
  <h2>Key indicators</h2>
</div>
<div class="fm-row row" style="margin-left:5px;padding-top:15px;">
  <div class="form-otr">
    <div class="col-xs-3">
      <input [(ngModel)]="startDate" name="start_date" [min]="october" [max]="max" [owlDateTimeTrigger]="dtPicker1"
        [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control"
        (ngModelChange)="resetMinutes($event,1)">
      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
      <owl-date-time [pickerMode]="'dialog'" [startAt]="0" [stepMinute]="20" #dtPicker1></owl-date-time>
    </div>
    <div class="col-xs-3">
      <input [(ngModel)]="endDate" name="end_date" [min]="startDate" [max]="max" [owlDateTimeTrigger]="dtPicker2"
        [owlDateTime]="dtPicker2" placeholder="End Date" class="form-control" (ngModelChange)="resetMinutes($event,2)">
      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
      <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
    </div>
    <div class="col-sm-2">
      <button type="get" (click)="getEmailStats()" class="btn btn-sm btn-primary blue"> <i aria-hidden="true" class="fa fa-search"></i>
        Search</button>
    </div>
  </div>
</div>
<div class="row"><br/>
  <div class="gallery">
    <div>
      <p class="stat_text">Completed Trips<img src="assets/img/stats_icons/bill_icon.png" style="float: right"
          alt="MyTaxi"></p>
      <div>
        <span
          class="stat_count">{{this.performanceStats.completed_trips?this.performanceStats.completed_trips:0}}</span>
      </div>
    </div>
  </div>
  <div class="gallery">
    <div>
      <p class="stat_text">Customer cancelled<img src="assets/img/stats_icons/shiftdriven_icon.png" style="float: right"
          alt="MyTaxi"></p>
      <div>
        <span
          class="stat_count">{{this.performanceStats.customer_cancelled?this.performanceStats.customer_cancelled:0}}</span>
      </div>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Dispatcher cancelled<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.dispatcher_cancelled?this.performanceStats.dispatcher_cancelled:0}}
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Order Timed Out<img src="assets/img/stats_icons/revenue_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span class="stat_count">{{this.performanceStats.order_timed_out?this.performanceStats.order_timed_out:0}} </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Rejected By Driver<img src="assets/img/stats_icons/toll_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span class="stat_count">{{this.performanceStats.rejected_by_driver?this.performanceStats.rejected_by_driver:0}}
      </span>
    </div>
  </div>

  <div class="gallery">
    <p class="stat_text">Driver cancelled<img src="assets/img/stats_icons/toll_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span class="stat_count">{{this.performanceStats.driver_cancelled?this.performanceStats.driver_cancelled:0}}
      </span>
    </div>
  </div>
</div>
<div class="row">
  <div class="gallery">
    <div>
      <p class="stat_text">Orders which got cancelled due to drivers not accepting or accepting very late
        <img src="assets/img/stats_icons/bill_icon.png" style="float: right" alt="MyTaxi"></p>
      <div>
        <span
          class="stat_count">{{this.performanceStats.customer_cancel_count?this.performanceStats.customer_cancel_count:0}}</span>
        <span matTooltip="CSV" class="csv"
          [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
          <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.customer_cancel_data,1)"  alt="csv"/>
        </span>
      </div>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">No of order where driver arrived late to pickup the customer
      <img src="assets/img/stats_icons/trip_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span class="stat_count">{{this.performanceStats.system_eta_count?this.performanceStats.system_eta_count:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.system_eta_data,2)" alt="csv"/>
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">No of drivers rejecting orders sent to them
      <img src="assets/img/stats_icons/revenue_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.order_rejected_drivers_count?this.performanceStats.order_rejected_drivers_count:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.order_rejected_drivers_data,3)"  alt="csv"/>
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Orders which got timed out as no driver accepted
      <img src="assets/img/stats_icons/toll_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.order_timed_out_count?this.performanceStats.order_timed_out_count:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.order_timed_out_data,4)"  alt="csv"/>
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">No of orders which had very poor rating from customer
      <img src="assets/img/stats_icons/toll_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span class="stat_count">{{this.performanceStats.low_rating_count?this.performanceStats.low_rating_count:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.low_rating_data,5)"  alt="csv"/>
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">No of flagged drivers who didn't respond to our request
      <img src="assets/img/stats_icons/toll_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.timedout_drivers_count?this.performanceStats.timedout_drivers_count:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.timedout_drivers_data,6)"  alt="csv"/>
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Scheduled orders which got cancelled or timed out without getting a vehicle
      <img src="assets/img/stats_icons/toll_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.scheduled_case_count?this.performanceStats.scheduled_case_count:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(this.performanceStats.scheduled_case_data,7)"  alt="csv"/>
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">No of drivers who are pausing meter for more than 2 hours continuous
      <img src="assets/img/stats_icons/toll_icon.png" style="float: right" alt="MyTaxi"></p>
    <div>
      <span class="stat_count">{{performanceStats.pausing_meter?performanceStats.pausing_meter.length:0}}
      </span>
      <span matTooltip="CSV" class="csv"
        [ngStyle]="{'pointer-events':createCsvFlag?'none':'unset','cursor':createCsvFlag?'no-drop':'pointer'}">
        <img src="assets/img/csv.png" (click)="createCsv(performanceStats.pausing_meter,8)" alt="csv"/>
      </span>
    </div>
  </div>
</div>

<div class="row">
  <h2 class="dashboard-header">Fee Collected</h2>
  <div class="gallery">
    <div>
      <p class="stat_text">DTC+RTA<img src="assets/img/stats_icons/bill_icon.png" style="float: right" alt="MyTaxi"></p>
      <div>
        <span class="stat_count"><span
            *ngIf="performanceStats.freelance_revenue;else zero">{{performanceStats.freelance_revenue | number : '1.2-2'}}</span>
          <ng-template #zero>0</ng-template>
        </span>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <h2 class="dashboard-header">Freelance drivers</h2>
  <div class="gallery">
    <div>
      <p class="stat_text">Completed Trips<img src="assets/img/stats_icons/bill_icon.png" style="float: right"
          alt="MyTaxi"></p>
      <div>
        <span
          class="stat_count">{{this.performanceStats.temp_completed_trips?this.performanceStats.temp_completed_trips:0}}</span>
      </div>
    </div>
  </div>
  <div class="gallery">
    <div>
      <p class="stat_text">Customer cancelled<img src="assets/img/stats_icons/shiftdriven_icon.png" style="float: right"
          alt="MyTaxi"></p>
      <div>
        <span
          class="stat_count">{{this.performanceStats.temp_customer_cancelled?this.performanceStats.temp_customer_cancelled:0}}</span>
      </div>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Dispatcher cancelled<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.temp_dispatcher_cancelled?this.performanceStats.temp_dispatcher_cancelled:0}}
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Order Timed Out<img src="assets/img/stats_icons/revenue_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.temp_order_timed_out?this.performanceStats.temp_order_timed_out:0}}
      </span>
    </div>
  </div>
  <div class="gallery">
    <p class="stat_text">Rejected By Driver<img src="assets/img/stats_icons/toll_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.temp_rejected_by_driver?this.performanceStats.temp_rejected_by_driver:0}}
      </span>
    </div>
  </div>

  <div class="gallery">
    <p class="stat_text">Driver cancelled<img src="assets/img/stats_icons/toll_icon.png" style="float: right"
        alt="MyTaxi"></p>
    <div>
      <span
        class="stat_count">{{this.performanceStats.temp_driver_cancelled?this.performanceStats.temp_driver_cancelled:0}}
      </span>
    </div>
  </div>
</div>